Subject: bug#73415: 30.0.91; Emacs 30 build fails on Ubuntu 24.04

From: Mark Grosen <[email-masked]>
Date: Wed, 25 Sep 2024 20:29:06 -0700

>> OK, so the decision is indeed not to try solving this on emacs-30.  I
>> wasn't sure.

> That was my understanding at least, as we could not find a simple
> fix/workaround with limited impact we could install in emacs-30.  Of
> course if you have a different suggestion please voice it.

Thanks for the feedback. I know how to build more efficiently now, so my
issue is closed. I will leave it to you if this warrants a line in the changelog
or INSTALL.repo.

I appreciate your quick and friendly help - thanks for all you do for Emacs!

Mark

On Wed, Sep 25, 2024 at 11:35 AM Andrea Corallo <[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Andrea Corallo <[email-masked]>
> >> Cc: Mark Grosen <[email-masked]>,  [email-masked]
> >> Date: Wed, 25 Sep 2024 09:40:54 -0400
> >>
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >> > Andrea, what did we decide regarding the long-term solution for this?
> >> > Did we mean to somehow solve the issue with dynamic doc strings?
> >>
> >> AFAIR we dedided that for master we®'ll extend the code to support
> >> native compiled functions with lazy docs and we'll emit them even while
> >> native compiling.
> >
> > OK, so the decision is indeed not to try solving this on emacs-30.  I
> > wasn't sure.
>
> That was my understanding at least, as we could not find a simple
> fix/workaround with limited impact we could install in emacs-30.  Of
> course if you have a different suggestion please voice it.
>
> Thanks
>
>   Andrea